function [ids_struct_out] =  tcv_get_ids_circuit(shot, ids_structures)

mdsopen(shot)
%% Get power supply/coils names for each circuit.
[tcv_circuit_info] =  tcv_ids_pf_active_definition();

% Preallocate memory and get data
ids_struct_out(1:tcv_circuit_info.ntotcircuits) = ids_structures;
for ii=1:tcv_circuit_info.ntotcircuits
    tmpdata = tdi(tcv_circuit_info.mds_paths{ii}); % Get current
    ids_struct_out{ii}.current.data = tmpdata.data;
    ids_struct_out{ii}.current.time = tmpdata.dim{1};
    ids_struct_out{ii}.connections = tcv_circuit_info.connection_matrix{ii};
    ids_struct_out{ii}.name = tcv_circuit_info.circuit_names{ii};
end


end


